import 'package:clx_map_poi_search_example/AMapConfig.dart';
import 'package:flutter/material.dart';
import 'package:clx_map_poi_search/clx_map_poi_search.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({Key? key}) : super(key: key);
  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {

  @override
  void initState() {
    super.initState();
    setupData();
  }

  setupData() async {
    ClxMapPoiSearch.instance.initPoiSearch(AMapConfig.aMapApiKeys);

    var result = await ClxMapPoiSearch.instance.keywordsSearch("北京大学");
    print("------ result: $result");

    var result1 = await ClxMapPoiSearch.instance.aroundSearch(31.230378, 121.473658);
    print("------ result1: $result1");
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: const Center(
          child: Text('Running on:'),
        ),
      ),
    );
  }
}
