import 'package:clx_map_poi_search/core/poi_result.dart';

///地图事件处理
class MapEvent<T> {

  ///返回的内容，对应的[MethodCall]中的[[arguments]]
  final T value;

  /// 构造一个event
  ///
  /// `mapId` 当前地图的id
  /// `value` 需要传输的值，可以为`null`.
  MapEvent(this.value);
}

///地图搜索POI回调
class MapSearchPOIEvent extends MapEvent<PoiResult> {
  MapSearchPOIEvent(PoiResult value) : super(value);
}
