import 'package:flutter_test/flutter_test.dart';
import 'package:clx_map_poi_search/clx_map_poi_search.dart';
import 'package:clx_map_poi_search/clx_map_poi_search_platform_interface.dart';
import 'package:clx_map_poi_search/core/clx_map_poi_search_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockClxMapPoiSearchPlatform 
    with MockPlatformInterfaceMixin
    implements ClxMapPoiSearchPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final ClxMapPoiSearchPlatform initialPlatform = ClxMapPoiSearchPlatform.instance;

  test('$MethodChannelClxMapPoiSearch is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelClxMapPoiSearch>());
  });

  test('getPlatformVersion', () async {
    ClxMapPoiSearch clxMapPoiSearchPlugin = ClxMapPoiSearch();
    MockClxMapPoiSearchPlatform fakePlatform = MockClxMapPoiSearchPlatform();
    ClxMapPoiSearchPlatform.instance = fakePlatform;
  
    expect(await clxMapPoiSearchPlugin.getPlatformVersion(), '42');
  });
}
